canonical-ubuntu-qa team mailing list archive
-
canonical-ubuntu-qa team
-
Mailing list archive
-
Message #03721
[Merge] ~andersson123/autopkgtest-cloud:lp-2060213-fix into autopkgtest-cloud:master
Tim Andersson has proposed merging ~andersson123/autopkgtest-cloud:lp-2060213-fix into autopkgtest-cloud:master.
Requested reviews:
Canonical's Ubuntu QA (canonical-ubuntu-qa)
Related bugs:
Bug #2060213 in Auto Package Testing: ""apt failed to download packages, retrying in 10s..." results in " Unable to acquire the dpkg frontend lock""
https://bugs.launchpad.net/auto-package-testing/+bug/2060213
For more details, see:
https://code.launchpad.net/~andersson123/autopkgtest-cloud/+git/autopkgtest-cloud/+merge/464107
--
Your team Canonical's Ubuntu QA is requested to review the proposed merge of ~andersson123/autopkgtest-cloud:lp-2060213-fix into autopkgtest-cloud:master.
diff --git a/charms/focal/autopkgtest-cloud-worker/autopkgtest-cloud/worker-config-production/setup-canonical-lxd.sh b/charms/focal/autopkgtest-cloud-worker/autopkgtest-cloud/worker-config-production/setup-canonical-lxd.sh
new file mode 100755
index 0000000..05e69bf
--- /dev/null
+++ b/charms/focal/autopkgtest-cloud-worker/autopkgtest-cloud/worker-config-production/setup-canonical-lxd.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+dhclient || true
+
+# disable bluetooth service
+ln -s /dev/null /etc/systemd/system/bluetooth.service
+
+# set up proxy variables
+printf "http_proxy=http://squid.internal:3128\nhttps_proxy=http://squid.internal:3128\nno_proxy=127.0.0.1,127.0.1.1,login.ubuntu.com,localhost,localdomain,novalocal,internal,archive.ubuntu.com,ports.ubuntu.com,security.ubuntu.com,ddebs.ubuntu.com,changelogs.ubuntu.com,launchpadlibrarian.net,launchpadcontent.net,launchpad.net,10.24.0.0/24,keystone.ps5.canonical.com,objectstorage.prodstack5.canonical.com\n" >> /etc/environment
+
+# disable unattended upgrades
+printf "APT::Periodic::Unattended-Upgrade \“0\”;APT::Periodic::Update-Package-Lists \"0\";" > /etc/apt/apt.conf.d/20auto-upgrades
diff --git a/mojo/service-bundle b/mojo/service-bundle
index f2da41c..fc905b7 100644
--- a/mojo/service-bundle
+++ b/mojo/service-bundle
@@ -141,7 +141,7 @@ applications:
<<: *common-options
worker-args: lxd -r $LXD_REMOTE $LXD_REMOTE:autopkgtest/ubuntu/$RELEASE/$ARCHITECTURE
{%- if stage_name == "production" or stage_name == "staging" %}
- worker-setup-command2: ln -s /dev/null /etc/systemd/system/bluetooth.service; printf "http_proxy={{ http_proxy }}\nhttps_proxy={{ https_proxy }}\nno_proxy={{ no_proxy }}\n" >> /etc/environment
+ worker-setup-command2: /AUTOPKGTEST_CLOUD_DIR//worker-config-production/setup-canonical-lxd.sh
{%- endif %}
{%- if stage_name == "production" %}
lxd-remotes: |-
References